### Constructor

# Foundry SymbolIntent new

since: 1.1

#### Declaration [src]

    FoundryIntent*
    foundry_symbol_intent_new (
      FoundrySymbolLocator* locator
    )

#### Description [src]

Creates a new `FoundrySymbolIntent` for navigating to the symbol location specified by `locator`.

Available since: 1.1

#### Parameters

`locator`

  Type: `FoundrySymbolLocator`

  A `FoundrySymbolLocator`.

  The data is owned by the caller of the function.

#### Return value

Type: `FoundryIntent`

A new `FoundrySymbolIntent`.

The caller of the function takes ownership of the data, and is responsible for freeing it.